## org.apache.batik.ext.awt.image.spi
Class ImageTagRegistry

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.ImageTagRegistry

All Implemented Interfaces:
  ErrorConstants

public class ImageTagRegistry
extends java.lang.Object
implements ErrorConstants

This class handles the registered Image tag handlers. These are instances of RegisteryEntry in this package.

Field Summary

Fields inherited from interface org.apache.batik.ext.awt.image.spi.ErrorConstants
`ERR_STREAM_FORMAT_UNREADABLE, ERR_STREAM_UNREADABLE, ERR_URL_FORMAT_UNREADABLE, ERR_URL_UNINTERPRETABLE, ERR_URL_UNREACHABLE, RESOURCES`

Constructor Summary
`ImageTagRegistry()`
`ImageTagRegistry(URLImageCache rawCache, URLImageCache imgCache)`

Method Summary
`Filter` `checkCache(ParsedURL purl, ICCColorSpaceExt colorSpace)`
`void` `flushCache()`
`static Filter` `getBrokenLinkImage(java.lang.Object base, java.lang.String code, java.lang.Object[] params)`
`java.util.List` `getRegisteredExtensions()` Returns a List that contains String of all the extensions that can be handleded by the various registered image format handlers.
`java.util.List` `getRegisteredMimeTypes()` Returns a List that contains String of all the mime types that can be handleded by the various registered image format handlers.
`static ImageTagRegistry` `getRegistry()`
`Filter` `readStream(java.io.InputStream is)`
`Filter` `readStream(java.io.InputStream is, ICCColorSpaceExt colorSpace)`
`Filter` `readURL(java.io.InputStream is, ParsedURL purl, ICCColorSpaceExt colorSpace, boolean allowOpenStream, boolean returnBrokenLink)`
`Filter` `readURL(ParsedURL purl)`
`Filter` `readURL(ParsedURL purl, ICCColorSpaceExt colorSpace)`
`void` `register(RegistryEntry newRE)`
`static void` `setBrokenLinkProvider(BrokenLinkProvider provider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageTagRegistry

    public ImageTagRegistry()

### ImageTagRegistry

    public ImageTagRegistry(URLImageCache rawCache,
                            URLImageCache imgCache)

Method Detail

### flushCache

    public void flushCache()

### checkCache

    public Filter checkCache(ParsedURL purl,
                             ICCColorSpaceExt colorSpace)

### readURL

    public Filter readURL(ParsedURL purl)

### readURL

    public Filter readURL(ParsedURL purl,
                          ICCColorSpaceExt colorSpace)

### readURL

    public Filter readURL(java.io.InputStream is,
                          ParsedURL purl,
                          ICCColorSpaceExt colorSpace,
                          boolean allowOpenStream,
                          boolean returnBrokenLink)

### readStream

    public Filter readStream(java.io.InputStream is)

### readStream

    public Filter readStream(java.io.InputStream is,
                             ICCColorSpaceExt colorSpace)

### register

    public void register(RegistryEntry newRE)

### getRegisteredExtensions

    public java.util.List getRegisteredExtensions()

  Returns a List that contains String of all the extensions that can be handleded by the various registered image format handlers.

### getRegisteredMimeTypes

    public java.util.List getRegisteredMimeTypes()

  Returns a List that contains String of all the mime types that can be handleded by the various registered image format handlers.

### getRegistry

    public static ImageTagRegistry getRegistry()

### getBrokenLinkImage

    public static Filter getBrokenLinkImage(java.lang.Object base,
                                            java.lang.String code,
                                            java.lang.Object[] params)

### setBrokenLinkProvider

    public static void setBrokenLinkProvider(BrokenLinkProvider provider)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.